OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.ARB.ComputeVariableGroupSize

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetARBComputeVariableGroupSize :: MonadIO m => m Bool
- gl_ARB_compute_variable_group_size :: Bool
- pattern GL_MAX_COMPUTE_FIXED_GROUP_INVOCATIONS_ARB :: GLenum
- pattern GL_MAX_COMPUTE_FIXED_GROUP_SIZE_ARB :: GLenum
- pattern GL_MAX_COMPUTE_VARIABLE_GROUP_INVOCATIONS_ARB :: GLenum
- pattern GL_MAX_COMPUTE_VARIABLE_GROUP_SIZE_ARB :: GLenum
- glDispatchComputeGroupSizeARB :: MonadIO m => GLuint -> GLuint -> GLuint -> GLuint -> GLuint -> GLuint -> m ()

# Extension Support

glGetARBComputeVariableGroupSize :: MonadIO m => m Bool Source #

Is the ARB_compute_variable_group_size extension supported?

gl_ARB_compute_variable_group_size :: Bool Source #

Is the ARB_compute_variable_group_size extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBComputeVariableGroupSize` in those cases instead.

# Enums

pattern GL_MAX_COMPUTE_FIXED_GROUP_INVOCATIONS_ARB :: GLenum Source #

pattern GL_MAX_COMPUTE_FIXED_GROUP_SIZE_ARB :: GLenum Source #

pattern GL_MAX_COMPUTE_VARIABLE_GROUP_INVOCATIONS_ARB :: GLenum Source #

pattern GL_MAX_COMPUTE_VARIABLE_GROUP_SIZE_ARB :: GLenum Source #

# Functions

glDispatchComputeGroupSizeARB Source #

Arguments

:: MonadIO m |
=> GLuint | `num_groups_x`.
-> GLuint | `num_groups_y`.
-> GLuint | `num_groups_z`.
-> GLuint | `group_size_x`.
-> GLuint | `group_size_y`.
-> GLuint | `group_size_z`.
-> m () |